Skip to content
Start here

List D1 Databases

client.d1.database.list(DatabaseListParams { account_id, name, page, per_page } params, RequestOptionsoptions?): V4PagePaginationArray<DatabaseListResponse { created_at, jurisdiction, name, 2 more } >
GET/accounts/{account_id}/d1/database

Returns a list of D1 databases.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
D1 ReadD1 Write
ParametersExpand Collapse
params: DatabaseListParams { account_id, name, page, per_page }
account_id: string

Path param: Account identifier tag.

maxLength32
name?: string

Query param: a database name to search for.

page?: number

Query param: Page number of paginated results.

minimum1
per_page?: number

Query param: Number of items per page.

maximum10000
minimum10
ReturnsExpand Collapse
DatabaseListResponse { created_at, jurisdiction, name, 2 more }
created_at?: string

Specifies the timestamp the resource was created as an ISO8601 string.

formatdate-time
jurisdiction?: "eu" | "fedramp" | null

Specify the location to restrict the D1 database to run and store data. If this option is present, the location hint is ignored.

One of the following:
"eu"
"fedramp"
name?: string

D1 database name.

uuid?: string

D1 database identifier (UUID).

version?: string

List D1 Databases

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const databaseListResponse of client.d1.database.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(databaseListResponse.uuid);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2022-11-15T18:25:44.442097Z",
      "jurisdiction": "eu",
      "name": "my-database",
      "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "version": "production"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "created_at": "2022-11-15T18:25:44.442097Z",
      "jurisdiction": "eu",
      "name": "my-database",
      "uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "version": "production"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}